Package org.apache.cayenne.configuration

## Class DefaultConfigurationNameMapper

- java.lang.Object
- - org.apache.cayenne.configuration.DefaultConfigurationNameMapper

- All Implemented Interfaces:
    `ConfigurationNameMapper`

      public class DefaultConfigurationNameMapper
      extends Object
      implements ConfigurationNameMapper

  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ConfigurationNodeVisitor<String>` | `nameMapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultConfigurationNameMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `configurationLocation​(Class<? extends ConfigurationNode> type, String name)` | Returns the name of a configuration resource based on a naming convention for a given node type.
    `String` | `configurationLocation​(ConfigurationNode node)` | Returns the name of a configuration resource based on a naming convention for a given node type.
    `String` | `configurationNodeName​(Class<? extends ConfigurationNode> type, Resource resource)` | Returns a node name for a given configuration type and a configuration resource.
    `protected String` | `getDataChannelName​(String name)` |
    `protected String` | `getDataMapName​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nameMapper

          protected ConfigurationNodeVisitor<String> nameMapper

  - ### Constructor Detail

    - #### DefaultConfigurationNameMapper

          public DefaultConfigurationNameMapper()

  - ### Method Detail

    - #### configurationLocation

          public String configurationLocation​(ConfigurationNode node)

      Description copied from interface: `ConfigurationNameMapper`
      Returns the name of a configuration resource based on a naming convention for a given node type.
      Specified by:
        `configurationLocation` in interface `ConfigurationNameMapper`

    - #### configurationLocation

          public String configurationLocation​(Class<? extends ConfigurationNode> type,
                                              String name)

      Description copied from interface: `ConfigurationNameMapper`
      Returns the name of a configuration resource based on a naming convention for a given node type.
      Specified by:
        `configurationLocation` in interface `ConfigurationNameMapper`

    - #### configurationNodeName

          public String configurationNodeName​(Class<? extends ConfigurationNode> type,
                                              Resource resource)

      Description copied from interface: `ConfigurationNameMapper`
      Returns a node name for a given configuration type and a configuration resource. This operation is the opposite of the `ConfigurationNameMapper.configurationLocation(Class, String)` . May return null if the resource name is not following the expected naming format.
      Specified by:
        `configurationNodeName` in interface `ConfigurationNameMapper`

    - #### getDataChannelName

          protected String getDataChannelName​(String name)

    - #### getDataMapName

          protected String getDataMapName​(String name)